## vala-0.12 0.12.1

=== debian/changelog ===
vala-0.12 (0.12.1-2) unstable; urgency=low

  * debian/control,
    debian/valac-0.12.postinst:
    + Make valac 0.12 the default valac version now.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 24 Aug 2011 09:46:23 +0200

vala-0.12 (0.12.1-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
    - Fix detecting gunichar type as unichar. (Closes: #628281)
    - Add function bindings to deal with KeySym and KeyCode. (Closes: #619505)
    - Fix Display.display_string bindings. (Closes: #619503)
  * Refresh debian/patches/99_ltmain_as-needed.patch.
  * Bump (Build-)Depends on libglib2.0-dev to (>= 2.26) according to
    configure.ac.
  * Bump Standards-Version to 3.9.2. No further changes.
  * Switch to bzip2 tarballs.

 -- Michael Biebl <biebl@debian.org>  Thu, 23 Jun 2011 21:26:03 +0200

vala-0.12 (0.12.0-4) unstable; urgency=low

  * debian/rules:
    + Now really ignore testsuite failures on Hurd/kFreeBSD.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 20 Apr 2011 09:01:42 +0200

vala-0.12 (0.12.0-3) unstable; urgency=low

  * debian/rules:
    + Next try of fixing build failures on Hurd/kFreeBSD (Closes: #618642).

 -- Sebastian Dröge <slomo@debian.org>  Tue, 19 Apr 2011 08:42:42 +0200

vala-0.12 (0.12.0-2) unstable; urgency=low

  * debian/rules:
    + Do not make testsuite failures fatal on Hurd and kFreeBSD. The
      DBus tests are failing there because of something that looks
      like a bug in GDBus.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 10 Apr 2011 11:35:07 +0200

vala-0.12 (0.12.0-1) unstable; urgency=low

  * New upstream stable release.
  * Upload to unstable, keep vala 0.10 as the default valac for now.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 04 Apr 2011 07:39:49 +0200

vala-0.12 (0.11.7-1) experimental; urgency=low

  * New upstream release.
  * debian/rules:
    + Don't run the testsuite if DEB_BUILD_OPTIONS contains nocheck.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 16 Mar 2011 20:51:18 +0000

vala-0.12 (0.11.6-1) experimental; urgency=low

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 21 Feb 2011 10:34:56 +0000

vala-0.12 (0.11.5-2) experimental; urgency=low

  * debian/control:
    + Make the Conflicts/Replaces against vala-utils versioned.
    + Don't build the valac binary package for now so packages
      build depending on valac get the 0.10 version.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 25 Jan 2011 23:32:43 +0000

vala-0.12 (0.11.5-1) experimental; urgency=low

  * New upstream release. Closes: #606139.
    + Make parallel installable with vala (0.10).
  * debian/control.in:
    + Add myself to Uploaders.
  * debian/copyright:
    + Updated.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 23 Jan 2011 19:47:37 +0000

vala (0.10.3-0.1) experimental; urgency=low

  * Non-maintainer upload with Sebastian's consent.
  * New upstream stable release.
  * Bump Standards-Version to 3.9.1. No further changes.

 -- Michael Biebl <biebl@debian.org>  Sat, 22 Jan 2011 13:43:52 +0100

vala (0.10.1-1) experimental; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 28 Oct 2010 11:42:30 +0200

vala (0.10.0-1) experimental; urgency=low

  * New upstream stable release.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 18 Sep 2010 07:37:17 +0200

vala (0.9.8-1) experimental; urgency=low

  * New upstream development release.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 05 Sep 2010 10:32:13 +0200

vala (0.9.7-2) experimental; urgency=low

  * debian/rules:
    + Don't act on the library package when stripping the valac package,
      otherwise the debug symbols of the library package are stripped
      now already and can't be put into the library debug package.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 24 Aug 2010 17:21:02 +0200

vala (0.9.7-1) experimental; urgency=low

  * New upstream development release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 19 Aug 2010 09:29:09 +0200

vala (0.9.6-1) experimental; urgency=low

  * New upstream development release:
    + debian/patches/01_vala-gen-introspect-script-suffix.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 18 Aug 2010 16:00:44 +0200

vala (0.9.5-2) experimental; urgency=low

  * debian/patches/01_vala-gen-introspect-script-suffix.patch:
    + Patch from upstream GIT to add version suffix to the
      vala-gen-introspect binary inside the main script.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 10 Aug 2010 09:52:10 +0200

vala (0.9.5-1) experimental; urgency=low

  * New upstream development release:
    + debian/libvala-0.10-0.install,
      debian/libvala-0.10-dev.install,
      debian/vala-0.10-doc.install,
      debian/valac-0.10.install,
      debian/valac-0.10.postinst,
      debian/valac-0.10.prerm,
      debian/control,
      debian/libvala-dev.install,
      debian/libvala0.install,
      debian/rules,
      debian/vala-doc.install,
      debian/vala-utils.install,
      debian/valac.install:
      - Update everything for the versioned libraries and binaries.
        /usr/bin/valac is now an alternative pointing to valac-0.10,
        valac is a metapackage to select the currently supported valac
        version.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 09 Aug 2010 13:35:06 +0200

vala (0.9.4-1) experimental; urgency=low

  * New upstream development release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 28 Jul 2010 07:58:01 +0200

vala (0.9.3-3) experimental; urgency=low

  * debian/control:
    + Let valac and all other packages explicitely depend on GLib
      >= 2.25.11-3 as the experimental dependency resolvers gets
      confused otherwise.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 22 Jul 2010 11:26:29 +0200

vala (0.9.3-2) experimental; urgency=low

  * debian/control:
    + Build-depend on GLib >= 2.25.11-3 to fix testsuite failures.
    + Lower -dev package GLib dependency to >= 2.16.0.
  * debian/rules:

